%define snapshot 2012-06-11
Name:           dpsearch
Version:        4.54
Release:        0.4.20120611snap%{?dist}
Summary:        DataparkSearch Engine

Group:          Applications/Internet
License:        GPLv2+
URL:            http://www.dataparksearch.org
Source0:        http://dataparksearch.googlecode.com/files/%{name}-%{version}-%{snapshot}.tar.bz2
Source1:        dpsearch.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  postgresql-devel
BuildRequires:  mysql-devel
BuildRequires:  zlib-devel
BuildRequires:  aspell-devel
BuildRequires:  tre-devel
BuildRequires:  c-ares-devel
BuildRequires:  bind-devel
BuildRequires:  readline-devel
BuildRequires:  httpd-devel
BuildRequires:  php-devel
BuildRequires:  libidn-devel
BuildRequires:  sqlite-devel
BuildRequires:  openssl-devel
Requires:       openssl

%description
DataparkSearch Engine is a full-featured open source web-based
search engine released under the GNU General Public License
and designed to organize search within a website, group of
websites, intranet or local system. 

%package devel
Summary:        Development files for the DataparkSearch Engine
Requires:       dpsearch = %{version}-%{release}

%description devel
C development and header files for the DataparkSearch Engine.

%prep
%setup -q -n %{name}-%{version}-%{snapshot}

%build
./configure \
--with-mysql \
--with-pgsql \
--prefix=%{_prefix} \
--libdir=%{_libdir}/%{name} \
--bindir=%{_bindir} \
--sbindir=%{_sbindir} \
--includedir=%{_prefix}/include/%{name} \
--datarootdir=%{_datadir}/%{name} \
--docdir=%{_defaultdocdir}/%{name}-%{version} \
--sysconfdir=%{_sysconfdir}/%{name} \
--with-openssl=%{_prefix}/include/openssl/
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_sysconfdir}/httpd/conf.d/
rm %{buildroot}/%{_libdir}/%{name}/*.a
rm %{buildroot}/%{_libdir}/%{name}/*.la

mkdir -p %{buildroot}/%{_libdir}/%{name}-cgi/
mv %{buildroot}/%{_bindir}/{filler,search,storedoc}.cgi %{buildroot}/%{_libdir}/%{name}-cgi/

install -pm 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/httpd/conf.d/%{name}.conf

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{name}.conf
%{_defaultdocdir}/%{name}-%{version}
%{_datadir}/%{name}
%{_sbindir}/cached
%{_sbindir}/dpconv
%{_sbindir}/dpguesser
%{_sbindir}/indexer
%{_sbindir}/run-splitter
%{_sbindir}/searchd
%{_sbindir}/splitter
%{_sbindir}/stored
%{_bindir}/dps-config
%{_libdir}/%{name}-cgi/filler.cgi
%{_libdir}/%{name}-cgi/search.cgi
%{_libdir}/%{name}-cgi/storedoc.cgi

%files devel
%{_prefix}/include/%{name}
%{_libdir}/%{name}

%changelog
* Mon Jun 11 2012 Ricky Elrod <codeblock@fedoraproject.org> - 4.54-0.4.20120611snap
- Latest upstream snapshot.

* Fri Jun 01 2012 Ricky Elrod <codeblock@fedoraproject.org> - 4.54-0.3.20120317snap
- Latest upstream snapshot.

* Wed Feb 22 2012 Ricky Elrod <codeblock@fedoraproject.org> - 4.54-0.2.20120221snap
- Relocate CGI's.

* Wed Feb 20 2012 Ricky Elrod <codeblock@fedoraproject.org> - 4.54-0.1.20120221snap
- Fixed how the -devel subpackage requires the non-devel package.
- Update to latest snapshot.
- Enable openssl compilation. The dpsearch README file adds a licensing exception, making this okay.

* Wed Feb 17 2012 Ricky Elrod <codeblock@fedoraproject.org> - 4.54-0.1.20120215snap
- Initial build.
